Subject: Re: netxen_nic: unregister_netdevice error

From: WeipingPan <[email-masked]>
Date: Tue, 31 May 2011 17:21:30 +0800

On 05/31/2011 02:15 PM, WeipingPan wrote:
> hi,
>
> When test bonding broadcast mode I met a problem.
> modprobe -r bonding will fail after I ping broadcast address.
>
> I find that the problem only shows up when I use netxen_nic driver.
> When use ixgbe and bn2x2 driver, no problem occurs.
>
> I use RHEL 6.2, kernel 2.6.32-131.0.15.el6.i686,
> Can anybody confirm this bug using 2.6.39 or upstream ?
>
> many thanks
> Weiping Pan
>
I got a machine to test the 
upstream,55922c9d1b84b89cb946c777fddccb3247e7df2c
the problem disappears.

many thanks
Weiping Pan